VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AutoLayout Class Reference

An auto layout feature for the CRowColumnView. More...

## Public Member Functions
| AutoLayout (const CViewContainer &parent, const Alignment alignment, const Style style, const double spacing)
auto | moveRect (CRect &viewSize) -> CRect &
| moves the child rect to the calculated position (inside the group and inside the parent)

## Detailed Description

An auto layout feature for the CRowColumnView.

The AutoLayout flexibly layouts the children of a CRowColumnView. The children are grouped and aligned among themselves depending on whether the style is a row (left to right) or a column (top to bottom). The group is moved inside the parent to either of the nine positions (top-left, top-center, top-right, middle-left, middle-center, middle-right, bottom-left, bottom-center or bottom-right). If the size of the parent is changed, the layout and alignment of the group is always retained.

## Constructor & Destructor Documentation

## ◆ AutoLayout()

AutoLayout | ( | const CViewContainer & | parent,
|  | const Alignment | alignment,
|  | const Style | style,
|  | const double | spacing )
| inline

## Member Function Documentation

## ◆ moveRect()

auto moveRect | ( | CRect & | viewSize | ) | -> CRect&
| inline

moves the child rect to the calculated position (inside the group and inside the parent)

The documentation for this class was generated from the following file:

- crowcolumnview.cpp